Hi,
I am using a pollyline lisp and it is fillet also. I want to add this lisp snap _from but I dont know how can I do. Anybody can help ?
Solved! Go to Solution.
Solved by bedyr. Go to Solution.
I want to draw a polyline along the other(wall). I am doing that offset and fillet command and this is taking my all time.
Isn't it easier to create macro:
^C^C_OFFSET;5 \\;_FILLET;_r;5;_FILLET;_P;_L
with CUI command. In the example above polyline will be offset by 5 units and filleted with radius 5.
and assign it to a button on Toolsets palette, or to menu item (with this option you will be able to assign shortcut for this operation).
The difficulty is that FROM is not an object snap, but rather a Command Modifier, which works differently then standard OSNAP.
Thank you maxim but it is not working like I want. The wall not just polyline it can be also line. I want to do snap from.
At first command begin first point and ask me that where _from and then automatically enter ofset. Make this a loop.
I want to do like that. It is in autocad utility and I want to do on autocad.
Multiline?
I attached multiline library file "test.mln" (inside ZIP archive) with TEST multiline style, which has only one line. If you set justification to ZERO, scale to 1 it will be drawn with 5 units offset from the points you will pick in the drawing.
Here:
you can find info on how to load .mln file in AutoCAD for Mac.
I want to like that lisp but in this lisp I couldnt change offset direction. Can we change this for two options?
I will click a point and with mouse action choose offset direction.
(defun c:PF (/ dd mm p1 p2 is nk1 nk2) (setq dd t) (setq mm 5) (setq obj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument obj)) (setq ms (vla-get-ModelSpace doc)) (if (setq p1 (getpoint "\nFirstPoint:")) (progn (while dd (if (setq p2 (getpoint p1 "\nOtherPoint:")) (progn (setq ss (ssget "c" p2 p2)) (if ss (setq is -) (setq is +) ) (setq nk1 p1 nk2 (polar p1 (angle p1 p2) (is (distance p1 p2) mm)) ) (vla-addline ms (vlax-3d-point nk1) (vlax-3d-point nk2)) (setq p1 nk2) ) (progn (setq dd nil) ) ) ) ) ) (princ) )
Can't find what you're looking for? Ask the community or share your knowledge.